# DataExchange
TKSTEPBase
StepGeom

# StepGeom_TrimmingSelect Class Reference

`#include <StepGeom_TrimmingSelect.hxx>`

Inheritance diagram for StepGeom_TrimmingSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_TrimmingSelect ()
| Returns a TrimmingSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a TrimmingSelect Kind Entity that is : 1 -> CartesianPoint 0 else (i.e. Real) .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a TrimmingMember (for PARAMETER_VALUE) as preferred .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a SelectMember as Real, named as PARAMETER_VALUE 1 -> ParameterValue i.e. Real 0 else (i.e. Entity) .
Standard_EXPORT Handle_StepGeom_CartesianPoint | CartesianPoint () const
| returns Value as a CartesianPoint (Null if another type)
Standard_EXPORT void | SetParameterValue (const Standard_Real aParameterValue)
| sets the ParameterValue as Real
Standard_EXPORT Standard_Real | ParameterValue () const
| returns Value as a Real (0.0 if not a Real)

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_TrimmingSelect::StepGeom_TrimmingSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_TrimmingSelect::CartesianPoint | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepGeom_TrimmingSelect::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepGeom_TrimmingSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

virtual Standard_EXPORT Handle_StepData_SelectMember StepGeom_TrimmingSelect::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepGeom_TrimmingSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_TrimmingSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_TrimmingSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Real StepGeom_TrimmingSelect::ParameterValue | ( |  | ) | const

Standard_EXPORT void StepGeom_TrimmingSelect::SetParameterValue | ( | const Standard_Real | aParameterValue | ) |

The documentation for this class was generated from the following file:

- StepGeom_TrimmingSelect.hxx